class_name ArmorIcon extends ItemIcon

enum armor_type { IRON_PLATE, STEEL_PLATE }

@export var power: int
@export var armor: armor_type

func _ready() -> void:
	stat_label.text = "%d" % power
	item_name_label.text = armor_type.keys()[armor]

